SOURCES: fancontrol.init - i think this is correct
glen
glen at pld-linux.org
Wed Sep 27 15:41:29 CEST 2006
Author: glen Date: Wed Sep 27 13:41:29 2006 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- i think this is correct
---- Files affected:
SOURCES:
fancontrol.init (1.2 -> 1.3)
---- Diffs:
================================================================
Index: SOURCES/fancontrol.init
diff -u SOURCES/fancontrol.init:1.2 SOURCES/fancontrol.init:1.3
--- SOURCES/fancontrol.init:1.2 Wed Sep 27 15:40:43 2006
+++ SOURCES/fancontrol.init Wed Sep 27 15:41:23 2006
@@ -18,18 +18,19 @@
# Source function library
. /etc/rc.d/init.d/functions
-# Get service config - may override defaults
-# [ -f /etc/sysconfig/fancontrol ] && . /etc/sysconfig/fancontrol
+# Get service config
+ [ -f /etc/sysconfig/fancontrol ] && . /etc/sysconfig/fancontrol
start() {
- # Fancontrol needs to check system for pwm control
- if [ ! -f /etc/sysconfig/fancontrol ]; then
- nls "Fancontrol not initialized."
- nls "Try \`%s init' before start." "$0"
- exit 6
- fi
# Check if the service is already running?
if [ ! -f /var/lock/subsys/fancontrol ]; then
+ # Fancontrol needs to check system for pwm control
+ if [ ! -f /etc/sysconfig/fancontrol ]; then
+ nls "Fancontrol not initialized."
+ nls "Try \`%s init' before start." "$0"
+ exit 6
+ fi
+
msg_starting fancontrol
daemon fancontrol
RETVAL=$?
@@ -72,7 +73,7 @@
killproc fancontrol -HUP
RETVAL=$?
else
- msg_not_running fancontrol >&2
+ msg_not_running fancontrol
RETVAL=7
fi
;;
================================================================
---- CVS-web:
http://cvs.pld-linux.org/SOURCES/fancontrol.init?r1=1.2&r2=1.3&f=u
More information about the pld-cvs-commit
mailing list